D4Science Infrastructure - Support #713

Internal WIKI Formatting seems not working as expected
Sep 17,2015 05:55 PM - Luca Frosini

Status: Closed Start date: Sep 17,2015
Priority: Normal Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Infrastructure: Production

Description

Inserting a table with the syntax documented here
http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting#Tables
the table is not rendered and the ext is showed as is.

History

#1 - Sep 17, 2015 05:57 PM - Luca Frosini
#2 - Sep 17, 2015 05:58 PM - Luca Frosini

- Target version changed from Documentation to UnSprintable

#3 - Sep 17, 2015 06:00 PM - Andrea Dell'Amico

The 'Markdown' syntax mode is active, while the documentation you pointed at refers to the 'textile’ mode. It's a global setting, btw.

#4 - Sep 18, 2015 02:45 PM - Luca Frosini
- Status changed from New to In Progress

- % Done changed from 0 to 100

Thanks Andrea Dell'’Amico and sorry for the mistake.

@sara.garavelli you can find a a tutorial here
http://agea.qithub.io/tutorial.md/

in brief you can made a table using html notations.

#5 - Sep 18, 2015 02:45 PM - Luca Frosini

- Status changed from In Progress to Feedback

#6 - Oct 08, 2015 04:45 PM - Luca Frosini
- Status changed from Feedback to Closed

#7 - Nov 04, 2015 01:45 PM - Luca Frosini

- Status changed from Closed to In Progress

I'm reopening the ticket (maybe | could create a new one), because the formatting seems not working.
The link | provided (http://agea.qgithub.io/tutorial.md/) and some other found with google says that | can use table html tag, but it does not work?
Am | doing any mystake?

#8 - Nov 04, 2015 01:55 PM - Andrea Dell'Amico

| do not know :-).

There could be a bug in the redmine markdown support, or some other mistake.

The official markdown reference is http:/daringfireball.net/projects/markdown/syntax (markdown is John Gruber's idea).

The most recurrent mistake I'm seeing in our tickets is that the markdown separators need a blank line before the start and after the end. You can
easily check with the pre tags.

A tables generator (not only for markdown) exists too, that you can use to check your code: http://www.tablesgenerator.com/markdown_tables
#9 - Nov 04, 2015 02:31 PM - Georgios Kakaletris

Found the issue on tables: header separator needs explicitly 3 dashes (-) between the pipes (])

#10 - Nov 04, 2015 02:46 PM - Luca Frosini

- Status changed from In Progress to Closed

Dec 14, 2025 22


http://www.tcpdf.org

